> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Custom Field Value

> Send the value for a custom field.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.70.0            | Added       |

## OpenAPI

````json POST /api/v1/livechat/custom.field
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/custom.field": {
      "post": {
        "summary": "Send Custom Field Value",
        "description": "Send the value for a custom field.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.70.0            | Added       |",
        "operationId": "post-api-v1-livechat-custom.field",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "token": {
                    "type": "string",
                    "description": "The visitor token."
                  },
                  "key": {
                    "type": "string",
                    "description": "The custom field."
                  },
                  "value": {
                    "type": "string",
                    "description": "The value you want to set for the custom field."
                  },
                  "overwrite": {
                    "type": "boolean",
                    "description": "Overwrite the value of the custom field."
                  }
                },
                "required": [
                  "token",
                  "key",
                  "value",
                  "overwrite"
                ]
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "token": "iNKE8a6k6cjbqWhWd",
                    "key": "address",
                    "value": "Rocket.Chat Avenue",
                    "overwrite": "true"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "field": {
                      "type": "object",
                      "properties": {
                        "key": {
                          "type": "string"
                        },
                        "value": {
                          "type": "string"
                        },
                        "overwrite": {
                          "type": "boolean"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "field": {
                        "key": "address",
                        "value": "Rocket.Chat Avenue",
                        "overwrite": "true"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'token' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'key' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Omnichannel Custom Fields"
        ]
      }
    }
  }
}
````

